Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.info
Class ContainerMetaInfo

    java.lang.Object
      org.jboss.portal.portlet.impl.info.ContainerMetaInfo

All Implemented Interfaces:
  MetaInfo

    public class ContainerMetaInfo

extends java.lang.Object
implements MetaInfo

Version:
  $Revision: 6818 $
Author:
  Julien Viet, Chris Laprun

Field Summary

Fields inherited from interface org.jboss.portal.portlet.info.MetaInfo
`DESCRIPTION, DISPLAY_NAME, KEYWORDS, SHORT_TITLE, TITLE`

Constructor Summary
`ContainerMetaInfo()`

Method Summary
`void` | `addMetaValue(java.lang.String key, org.jboss.portal.common.i18n.LocalizedString value)`
`java.lang.String` | `getDefaultMetaValue(java.lang.String key)`
`org.jboss.portal.common.i18n.LocalizedString` | `getMetaValue(java.lang.String key)` Return the meta value of the portlet for a specific key.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContainerMetaInfo

    public ContainerMetaInfo()

Method Detail

### addMetaValue

    public void addMetaValue(java.lang.String key,
                             org.jboss.portal.common.i18n.LocalizedString value)

### getDefaultMetaValue

    public java.lang.String getDefaultMetaValue(java.lang.String key)

### getMetaValue

    public org.jboss.portal.common.i18n.LocalizedString getMetaValue(java.lang.String key)

  Description copied from interface: `MetaInfo`
  Return the meta value of the portlet for a specific key.

  Specified by:
    `getMetaValue` in interface `MetaInfo`
  Parameters:
    `key` - the key
  Returns:
    an internationalized value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.